<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE foo [
	<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<!-- *************************************************************************************************
	Summary
	*************************************************************************************************** -->
	<xsl:template name="weeklySummary" match="element[@name='weeklySummary']">
		<xsl:choose>
			<xsl:when test="empty">
				<fo:block>No summary data found for report period.</fo:block>
			</xsl:when>
			<xsl:otherwise>
				<fo:block xsl:use-attribute-sets="center elementHeading">
					Weekly Availability Summary
				</fo:block>	
				<fo:block xsl:use-attribute-sets="center">
					<fo:external-graphic src="url('{/report/charts-root}/{filePath}')" content-width="700px" />
				</fo:block>
				<fo:block xsl:use-attribute-sets="center text">
					<fo:inline background-color="green">&nbsp;&nbsp;&nbsp;</fo:inline>&nbsp;&nbsp;OK&nbsp;&nbsp;
					<fo:inline background-color="#ffd200">&nbsp;&nbsp;&nbsp;</fo:inline>&nbsp;&nbsp;Scheduled&nbsp;&nbsp;
					<fo:inline background-color="red">&nbsp;&nbsp;&nbsp;</fo:inline>&nbsp;&nbsp;Unscheduled
				</fo:block>					
			</xsl:otherwise>
		</xsl:choose>			
	</xsl:template>
</xsl:stylesheet>
